[arch-commits] Commit in graphite/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Andreas Radke andyrtr at archlinux.org
Sat Mar 10 17:38:04 UTC 2018


    Date: Saturday, March 10, 2018 @ 17:38:04
  Author: andyrtr
Revision: 318507

archrelease: copy trunk to testing-x86_64

Added:
  graphite/repos/testing-x86_64/
  graphite/repos/testing-x86_64/PKGBUILD
    (from rev 318506, graphite/trunk/PKGBUILD)

----------+
 PKGBUILD |   63 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 63 insertions(+)

Copied: graphite/repos/testing-x86_64/PKGBUILD (from rev 318506, graphite/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2018-03-10 17:38:04 UTC (rev 318507)
@@ -0,0 +1,63 @@
+# $Id$
+# Maintainer: AndyRTR <andyrtr at archlinux.org>
+
+pkgname=graphite
+pkgver=1.3.11
+pkgrel=1
+epoch=1
+arch=('x86_64')
+url="https://github.com/silnrsi/graphite"
+pkgdesc='reimplementation of the SIL Graphite text processing engine'
+license=('LGPL' 'GPL' 'custom')
+depends=('gcc-libs')
+makedepends=('cmake' 'freetype2' 'python2'
+             # for documentation
+             'doxygen' 'dblatex' 'graphviz' 'asciidoc')
+checkdepends=('python2-fonttools')
+options=('!emptydirs')
+source=(https://github.com/silnrsi/graphite/releases/download/${pkgver}/graphite2-${pkgver}.tgz)
+sha1sums=('26b70897bac68868d964ef70002c384ec10b6572')
+
+
+prepare() {
+  cd "${srcdir}"
+
+  # python2 fixes
+  sed -i "s:\/usr\/bin\/python:\/usr\/bin\/python2:" graphite2-${pkgver}/tests/{corrupt.py,defuzz,fnttxtrender,fuzzbidi,fuzztest,hbspeeds,jsoncmp}
+}
+
+build() {
+  mkdir build
+  cd build
+  cmake -G "Unix Makefiles" ../graphite2-${pkgver} \
+	-DCMAKE_C_FLAGS:STRING="${CFLAGS}" \
+	-DCMAKE_INSTALL_PREFIX=/usr \
+	-DCMAKE_BUILD_TYPE:STRING=Release \
+	-DGRAPHITE2_COMPARE_RENDERER=OFF \
+
+  # fix unwanted -O3 cflag (taken form Debian)
+  find . -type f ! -name "rules" ! -name "changelog" -exec sed -i -e 's/\-O3//g' {} \;
+
+  make 
+  make -j1 docs
+}
+
+check() {
+  cd "${srcdir}"/build
+  # python2 fixes
+  sed -i "s:python:python2:g" tests/CTestTestfile.cmake
+  ctest || true
+}
+
+package() {
+  cd "${srcdir}"/build
+  make DESTDIR="$pkgdir/" install
+  # install doc files
+  mkdir -p "${pkgdir}"/usr/share/doc/graphite2/api
+  cp -vrf doc/doxygen/{html,latex/refman.pdf} "${pkgdir}"/usr/share/doc/graphite2/api
+  cp -vrf doc/{GTF,manual}.html "${pkgdir}"/usr/share/doc/graphite2
+
+  # licenses
+  mkdir -p "${pkgdir}"/usr/share/licenses/${pkgname}
+  install -m644 "${srcdir}"/graphite2-${pkgver}/COPYING "${pkgdir}"/usr/share/licenses/${pkgname}/
+}



More information about the arch-commits mailing list